#region Copyright © 2015 CLIPSOFT Co.,Ltd. All Rights Reserved.
//
// All rights are reserved. Reproduction or transmission in whole or in part, 
// in any form or by any means, electronic, mechanical or otherwise, is 
// prohibited without the prior written consent of the copyright owner.
//
// Filename:ConsentListCtrlBase.cs
//
#endregion
using System.Windows.Forms;

namespace CLIP.eForm.Consent.UI {
  /// <summary>
  /// 동의서 작성 기능 미리보기 상단 툴바 버튼의 base class
  /// </summary>
  /// <remarks>
  /// <p>[설계자]</p>
  /// <p>  클립소프트 연구소 박민지 (minjipark@clipsoft.co.kr)</p>
  /// <p>[원본 작성자]</p>
  /// <p>  클립소프트 연구소 박민지 (minjipark@clipsoft.co.kr)</p>
  /// <p>[수정 작성자]</p>
  /// <p>  클립소프트 기술부 이인희</p>
  /// <p>----------------------------------------------------------------------------------------</p>
  /// <p>[HISTORY]</p>
  /// <p> 2015-07-30 : 최초작성</p>
  /// <p>----------------------------------------------------------------------------------------</p>
  /// </remarks>  
  public partial class ConsentCommandCtrlBase : UserControl {
    public virtual void SetEnableConsentIssueCommands(bool IsIssuable) { }

    public virtual void OnPaging(int currentPageIndex) { }

    public virtual bool EnableUndo { get; set; }

    public virtual bool EnableRedo { get; set; }

    public virtual bool EnableRemoveAll { get; set; }

    public virtual bool EnablePenDrawing { get; set; }

    public virtual bool EnablePenConfig { get; set; }

    public virtual void OnFingerprint(string value) { }

    public virtual void SetEnableButtonsByCurrentConsent() { }

    public virtual void OnSignature(string value) { }

    public virtual void OffFingerprint(string value) { }

    public virtual void SaveTempConsentData(string eptXmlValue, string dataValue) { }

    public virtual bool SaveCompleteConsentData(string eptXmlValue, string dataValue, out object saveResult) { saveResult = null; return false; }

    public virtual void OnPrint(string value) { }

    public virtual void OnRequiredInputViolation(string value) { }

    public virtual void WorkExtraWithSavedImageFiles(string arg) { }

    public virtual void SetEnablementExecuteWhenDualViewerActive(bool enabled) { }

    public virtual void DeleteRecordOfDeleteConsent(string reasonForUseN) { }

    public virtual string getPreviewConsentEsignYn() { return null; }

    public virtual void setTempSaveButton(bool enabled) { }

    public virtual void setCompleteSaveButton(bool enabled) { }

    public virtual void setSaveButton(bool enabled) { }

    public virtual bool getTempSaveButton() { return false; }

    public virtual bool getSaveButton() { return false; }

    public virtual bool reprintStatus { get; set; }

    public virtual void setViewerPageInit() { }

    public virtual void onEnableDrawing(bool enabled) { }
  }
}
